%define name	guis
%define version 1.6
%define release %mkrel 10

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Summary:	GUI widget server
Group:		Publishing
URL:		http://starynkevitch.net/Basile/guisdoc.html
Source:		http://starynkevitch.net/Basile/%{name}-%{version}.tar.bz2
Patch:		%{name}-1.5.configure.patch
BuildRequires:	ruby-gnome2-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	hevea
BuildRequires:  ruby-devel
BuildRequires:  tetex-latex
BuildRequires:  tetex-dvips
BuildRequires:  ghostscript-dvipdf
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description 
Guis widget server is a Gtk2 widget server. It listens on pipes for widget
requests (in the Python or Ruby scripting languages), and emit replies or
events in textual lines (e.g. Lispy, XML or plain token syntax). It is useful
for programs (in particular setuid programs) and scripts that don't or can't
link the Gtk2 libraries and need to delegate the user interface to another
process.

%prep
%setup -q
%patch

%build
./Configure
%make

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
%make PREFIX=%{buildroot}%{_prefix} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README guisdoc.html guisdoc.ps guisdoc.pdf
%{_bindir}/*
%{_mandir}/man1/*




%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6-10mdv2009.0
+ Revision: 267035
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-9mdv2009.0
+ Revision: 210931
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-8mdv2007.0
+ Revision: 107879
- rebuild
- Import guis

* Wed Aug 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-7mdv2007.0
- Rebuild

* Fri Mar 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-6mdk
- buildrequires dvipdf

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-5mdk
- rebuild for new cairo

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.6-4mdk
- Fix BuildRequires

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.6-3mdk
- Fix BuildRequires

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.6-2mdk
- BuildRequires fix

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-1mdk 
- new release

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.5-2mdk
- Rebuild for new python

* Sat May 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.5-1mdk
- first mdk release

